<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<?php
include("includes.php");
$conn = GetDbConnection();
$id = GetId();
if ($id == -1)
{
	echo "<title>Alle Länder</title>";
}
else
{
	$sql = "SELECT c.Name, city.Name, c.Area, c.Population, city.id, continent.Name, continent.id, ".
			"encompasses.Percentage, d.id, d.Name, c.Independence, c.Government, c.GDP, ".
			"c.Agriculture, c.Service, c.Industry, c.Inflation, c.Population_Growth, c.Infant_Mortality ".
			"FROM country c JOIN encompasses ON encompasses.country = c.id ".
			"JOIN continent ON encompasses.Continent = continent.id ".
			"LEFT JOIN city ON city.id = c.Capital LEFT JOIN country d ON d.id = c.Dependent ".
			"WHERE c.id = $id";
	$res = Query($sql, $conn, 1);
	$row = mysql_fetch_row($res);
	$txtContinent = "<a href=\"continent.php?id=$row[6]\">$row[5]</a>";
	if (mysql_num_rows($res) > 1) // Länder auf mehreren Kontinenten
	{
		$txtContinent .= " ($row[7] %)";
		$row = mysql_fetch_row($res);
		$txtContinent .= " und <a href=\"continent.php?id=$row[6]\">$row[5]</a> ($row[7] %)";
	}
	echo "<title>Land $row[0]</title>";
}
?>
</head>
<body>
<p><a href="index.php">Zur Übersicht</a></p>
<?php 
if ($id == -1)
{
	echo "<h1>Alle Länder</h1>";
	$sql = "SELECT id, Name FROM country ORDER BY Name";
	$res = Query($sql, $conn, 10);
	MakeHyperlinkTable("country.php", $res);
}
else
{
?>
	<h1><?php echo $row[0]; ?></h1>
	<p>Land in <?php echo $txtContinent; ?></p>
	<table>
	<tr><td>Name:</td><td><?php echo $row[0];?></td></tr>
	<tr><td>Hauptstadt:</td><td>
	<?php echo "<a href=\"city.php?id=$row[4]\">$row[1]</a>"; ?></td></tr>
	<tr><td>Fläche:</td><td><?php echo $row[2];?> km²</td></tr>
	<tr><td>Bevölkerung:</td><td><?php echo $row[3];?></td></tr>
	<?php 
	if (!is_null($row[8]))
	{
		echo "<tr><td>Abhängig von:</td><td><a href=\"country.php?id=$row[8]\">$row[9]</a></td></tr>";
	}
	else
	{
		echo "<tr><td>Unabhängig seit:</td><td>";
		if (!is_null($row[10]))
		{
			$date = new DateTime($row[10]);
			echo $date->format("d.m.Y");
		}
		else
		{
			echo "<i>Unbekannt</i>";
		}
	}
	?>
	<tr><td>Regierungsform:</td><td><?php echo $row[11]; ?></td></tr>
	<tr><td>BIP:</td><td><?php echo $row[12]; ?> Mio. USD</td></tr>
	<tr><td>Beschäftigung:</td><td>Landwirtschaft: <?php echo is_null($row[13]) ? "?" : $row[13]; ?> %</td></tr>
	<tr><td></td><td>Industrie: <?php echo is_null($row[15]) ? "?" : $row[15]; ?> %</td></tr>
	<tr><td></td><td>Dienstleistung: <?php echo is_null($row[14]) ? "?" :  $row[14]; ?> %</td></tr>
	<tr><td>Bevölkerungswachstum:</td><td><?php echo is_null($row[16]) ? "?" : $row[16]; ?> %</td></tr>
	<tr><td>Kindersterblichkeit:</td><td><?php echo is_null($row[17]) ? "?" : $row[17]; ?> pro 1000</td></tr>
	</table>
	
	
	<h2>Abhängige Länder</h2>
	<?php 
	$sql = "SELECT id, Name FROM country WHERE Dependent = $id ORDER BY Name";
	$res = Query($sql, $conn, 4);
	MakeHyperlinkTable("country.php", $res);
	?>
	<h2>Ethnische Zusammensetzung</h2>
	<?php 
	$res = Query("SELECT Name, Percentage, ethnicity FROM ethnicity JOIN ethnicgroup ON ethnicity.id = ethnicgroup.ethnicity WHERE country = $id ORDER BY Percentage DESC, Name",
				$conn, 4);
	if (mysql_num_rows($res) > 0)
	{
		echo "<table border=\"1\"><tr><th>Name</th><th>Anteil</th></tr>";
		while($row = mysql_fetch_row($res))
		{
			echo "<tr><td><a href=\"ethnicity.php?id=$row[2]\">$row[0]</a></td><td>$row[1] %</td></tr>";
		}
		echo "</table>";
	}
	else 
	{
		echo "<i>Keine Informationen</i>";
	}
	?>
	<h2>Religionen</h2>
	<?php 
	$sql = "SELECT Name, Percentage, religion FROM religiousgroup JOIN religion ON religion.id = religiousgroup.religion WHERE country = $id ORDER BY Percentage DESC, Name";
	$res = Query($sql, $conn, 5);
	if (mysql_num_rows($res) > 0)
	{
		echo "<table border=\"1\"><tr><th>Name</th><th>Anteil</th></tr>";
		while($row = mysql_fetch_row($res))
		{
			echo "<tr><td><a href=\"religion.php?id=$row[2]\">$row[0]</a></td><td>$row[1] %</td></tr>";
		}
		echo "</table>";
	}
	else
	{
		echo "<i>Keine Informationen</i>";
	}
	?>
	<h2>Sprachen</h2>
	<?php 
	$sql = "SELECT Name, Percentage, language FROM languagespoken JOIN language ON language.id = languagespoken.language WHERE country = $id ORDER BY Percentage DESC, Name";
	$res = Query($sql, $conn, 6);
	if (mysql_num_rows($res) > 0)
	{
		echo "<table border=\"1\"><tr><th>Name</th><th>Anteil</th></tr>";
		while($row = mysql_fetch_row($res))
		{
			echo "<tr><td><a href=\"language.php?id=$row[2]\">$row[0]</a></td><td>$row[1] %</td></tr>";
		}
		echo "</table>";
	}
	else
	{
		echo "<i>Keine Informationen</i>";
	}
	?>
	<h2>Provinzen</h2>
	<?php 
	$sql = "SELECT id, Name FROM province WHERE country = $id ORDER BY Name";
	$res = Query($sql, $conn, 3);
	MakeHyperlinkTable("province.php", $res);
	?>
	<h2>Nachbarländer</h2>
	<table border="1"><tr><th>Name</th><th>Grenzlänge</th></tr>
	<?php 
	$sql = "(SELECT Length, country2, country.Name FROM borders JOIN country ON country.id = borders.country2 WHERE country1 = $id) ".
			"UNION (SELECT Length, country1, country.Name FROM borders JOIN country ON country.id = borders.country1 WHERE country2 = $id) ORDER BY Name";
	$res = Query($sql, $conn, 2);
	while($row = mysql_fetch_row($res))
	{
		echo "<tr><td><a href=\"country.php?id=$row[1]\">$row[2]</a></td><td>$row[0] km</td></tr>";
	}
	?>
	</table>
	<h2>Mitgliedschaft in Organisationen</h2>
	<table border="1"><tr><th>Name</th><th>Art</th></tr>
	<?php 
	$sql = "SELECT id, Name, Type FROM ismember JOIN organization ON organization.id = ismember.organization WHERE country = $id ORDER BY Name";
	$res = Query($sql, $conn, 7);
	while($row = mysql_fetch_row($res))
	{
		echo "<tr><td><a href=\"organization.php?id=$row[0]\">$row[1]</a></td><td>$row[2]</td></tr>";
	}
	?>
	</table>
<?php 
}
?>
</body>
</html>