<?php
header('Content-type: text/plain; charset=utf-8');
include("includes.php");

function MakeSearchResultList($category, $page, $res, &$empty)
{
	if (mysql_num_rows($res) > 0)
	{
		$empty = false;
		echo "<li>$category</li><ul>";
		while($row = mysql_fetch_row($res))
		{
			echo "<li>".MakeHyperlink($page, $row[0], $row[1])."</li>";
		}
		echo "</ul>";
	}
}

$conn = GetDbConnection();
$param = "";
if (isset($_GET['search']))
{
	$param = trim($_GET['search']);
	if (get_magic_quotes_gpc())
		$param = stripslashes($param);
	$param = mysql_real_escape_string($param, $conn);
}
if ($param == "")
	die("<i>Leere Suche</i>");
$empty = true;

$aQueries = array();
$aQueries[]
	= array("Kontinente", "continent.php", "SELECT id, name FROM continent WHERE name LIKE '%$param%' ORDER BY Name");
$aQueries[]
	= array("Länder", "country.php", "SELECT id, name FROM country WHERE name LIKE '%$param%' ORDER BY Name");
$aQueries[]
	= array("Provinzen", "province.php", 
			"SELECT province.id, CONCAT(province.Name, ' (', country.Name, ')') FROM province JOIN country ON province.country = country.id WHERE province.Name LIKE '%$param%' ORDER BY province.Name, country.Name");
$aQueries[]
	= array("Städte", "city.php",
			"SELECT city.id, CONCAT(city.Name, ' (', province.Name, ', ', country.Name, ')') ".
			"FROM city JOIN province ON province.id = city.province JOIN country ON province.country = country.id ".
			"WHERE city.Name LIKE '%$param%' ORDER BY city.Name, province.Name, country.Name");
$aQueries[]
	= array("Meere", "sea.php", "SELECT id, name FROM sea WHERE name LIKE '%$param%' ORDER BY Name");
$aQueries[]
	= array("Seen", "lake.php", "SELECT id, name FROM lake WHERE name LIKE '%$param%' ORDER BY Name");
$aQueries[]
	= array("Flüsse", "river.php", "SELECT id, name FROM river WHERE name LIKE '%$param%' ORDER BY Name");
$aQueries[]
	= array("Inselgruppen", "islands.php", "SELECT id, name FROM islands WHERE name LIKE '%$param%' ORDER BY Name");
$aQueries[]
	= array("Inseln", "island.php", "SELECT id, name FROM island WHERE name LIKE '%$param%' ORDER BY Name");
$aQueries[]
	= array("Gebirge", "mountains.php", "SELECT id, name FROM mountains WHERE name LIKE '%$param%' ORDER BY Name");
$aQueries[]
	= array("Berge", "mountain.php", "SELECT id, name FROM mountain WHERE name LIKE '%$param%' ORDER BY Name");
$aQueries[]
	= array("Wüsten", "desert.php", "SELECT id, name FROM desert WHERE name LIKE '%$param%' ORDER BY Name");
$aQueries[]
	= array("Volksgruppen", "ethnicity.php", "SELECT id, name FROM ethnicity WHERE name LIKE '%$param%' ORDER BY Name");
$aQueries[]
	= array("Sprachen", "language.php", "SELECT id, name FROM language WHERE name LIKE '%$param%' ORDER BY Name");
$aQueries[]
	= array("Religionen", "religion.php", "SELECT id, name FROM religion WHERE name LIKE '%$param%' ORDER BY Name");
$aQueries[]
	= array("Organisationen", "organization.php", "SELECT id, name FROM organization WHERE name LIKE '%$param%' ORDER BY Name");


foreach($aQueries as $q)
{
	$res = Query($q[2], $conn, 1);
	MakeSearchResultList($q[0], $q[1], $res, $empty);
}

if ($empty)
	echo "Keine Ergebnisse";
?>