<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>
<?php
include("includes.php");
$conn = GetDbConnection();
$id = GetId();
if ($id < 0)
{
	echo "Alle Inseln";
}
else 
{
	$sql = "SELECT island.name, area, height, type, longitude, latitude, islands, islands.name ".
			"FROM island LEFT JOIN islands ON island.islands = islands.id WHERE island.id = $id";
	$row = Query($sql, $conn, 1, true);
	echo "Insel $row[0]";
}
?>
</title>
</head>
<body>
<p><a href="index.php">Zur Übersicht</a></p>
<?php
if ($id < 0)
{
	echo "<h1>Alle Inseln</h1>";
	$sql = "SELECT id, Name FROM island ORDER BY Name";
	$res = Query($sql, $conn, 5);
	MakeHyperlinkTable("island.php", $res);
} 
else
{
?>
<h1>Insel <?php echo $row[0]; ?></h1>
<?php 
if (!is_null($row[6]))
	echo "<p>Gehört zur Inselgruppe ".MakeHyperlink("islands.php", $row[6], $row[7])."</p>";
echo "<table>";
if (!is_null($row[1]))
	echo "<tr><td>Fläche:</td><td>$row[1] km²</td></tr>";
if (!is_null($row[2]))
	echo "<tr><td>Höchster Punkt:</td><td>$row[2] m</td></tr>";
if (!is_null($row[3]))
	echo "<tr><td>Typ:</td><td>$row[3]</td></tr>";
if (!is_null($row[4]))
{
	echo "<tr><td>Längengrad:</td><td>$row[4]</td></tr>";
	echo "<tr><td>Breitengrad:</td><td>$row[5]</td></tr>";
}
echo "</table>";
echo "<h2>Meere, in denen die Insel liegt</h2>";
$sql = "SELECT id, name FROM sea WHERE id IN (SELECT sea FROM islandinsea WHERE island = $id) ORDER BY name";
$res = Query($sql, $conn, 6);
MakeHyperlinkTable("sea.php", $res);

echo "<h2>Seen, in denen die Insel liegt</h2>";
$sql = "SELECT id, name FROM lake WHERE id IN (SELECT lake FROM island WHERE id = $id) ORDER BY name";
$res = Query($sql, $conn, 5);
MakeHyperlinkTable("lake.php", $res);
?>
<h2>Städte auf der Insel</h2>
<?php 
	$sql = "SELECT id, name FROM city WHERE island = $id ORDER BY name";
	$res = Query($sql, $conn, 2);
	MakeHyperlinkTable("city.php", $res);
?>
<h2>Provinzen auf der Insel</h2>
<?php 
	$sql = "SELECT id, name FROM province WHERE id IN ".
			"(SELECT province FROM geo_island WHERE island = $id) ORDER BY name";
	$res = Query($sql, $conn, 3);
	MakeHyperlinkTable("province.php", $res);
?>
<h2>Berge auf der Insel</h2>
<?php 
	$sql = "SELECT id, name FROM mountain WHERE island = $id";
	$res = Query($sql, $conn, 4);
	MakeHyperlinkTable("mountain.php", $res);
}
?>
</body>
</html>