<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>
<?php
include("includes.php");
$conn = GetDbConnection();
$id = GetId();
if ($id < 0)
{
	echo "Alle Seen";
}
else 
{
	$sql = "SELECT lake.name, area, depth, altitude, type, longitude, latitude, river.id, river.name FROM lake LEFT JOIN river ON river.id = lake.river WHERE lake.id = $id";
	$row = Query($sql, $conn, 1, true);
	echo "See $row[0]";
}
?>
</title>
</head>
<body>
<p><a href="index.php">Zur Übersicht</a></p>
<?php
if ($id < 0)
{
	echo "<h1>Alle Seen</h1>";
	$sql = "SELECT id, Name FROM lake ORDER BY Name";
	$res = Query($sql, $conn, 5);
	MakeHyperlinkTable("lake.php", $res);
} 
else
{
?>
<h1>See <?php echo $row[0]; ?></h1>
<?php 
echo "<table>";

echo "<tr><td>Fläche:</td><td>";
if (is_null($row[1]))
	echo "<i>Unbekannt</i>";
else 
	echo "$row[1] km²";
echo "</td></tr>";

echo "<tr><td>Tiefe:</td><td>";
if (is_null($row[2]))
	echo "<i>Unbekannt</i>";
else
	echo "$row[2] m";
echo "</td></tr>";

echo "<tr><td>Höhe über dem Meer:</td><td>";
if (is_null($row[3]))
	echo "<i>Unbekannt</i>";
else
	echo "$row[3] m";
echo "</td></tr>";

echo "<tr><td>Typ:</td><td>";
if (is_null($row[4]))
	echo "<i>Unbekannt</i>";
else
	echo "$row[4]";
echo "</td></tr>";

echo "<tr><td>Längengrad:</td><td>";
if (is_null($row[5]))
	echo "<i>Unbekannt</i>";
else
	echo "$row[5] km²";
echo "</td></tr>";

echo "<tr><td>Breitengrad:</td><td>";
if (is_null($row[6]))
	echo "<i>Unbekannt</i>";
else
	echo "$row[6] km²";
echo "</td></tr>";

if (!is_null($row[7]))
{
	echo "<tr><td>Abfluss:</td><td>".MakeHyperlink("river.php", $row[7], $row[8])."</td></tr>";	
}
echo "</table>";

echo "<h2>Zuflüsse</h2>";
$sql = "SELECT id, Name FROM river WHERE lake = $id ORDER BY Name";
$res = Query($sql, $conn, 3);
MakeHyperlinkTable("river.php", $res);

echo "<h2>Inseln im See</h2>";
$sql = "SELECT id, Name FROM island WHERE lake = $id ORDER BY Name";
$res = Query($sql, $conn, 4);
MakeHyperlinkTable("island.php", $res);

echo "<h2>Provinzen des Sees</h2>";
$sql = "SELECT id, Name FROM province WHERE id IN (SELECT province FROM geo_lake WHERE lake = $id) ORDER BY Name";
$res = Query($sql, $conn, 6);
MakeHyperlinkTable("province.php", $res);

echo "<h2>Städte am See</h2>";
$sql = "SELECT id, Name FROM city WHERE id IN (SELECT city FROM located WHERE lake = $id) ORDER BY Name";
$res = Query($sql, $conn, 7);
MakeHyperlinkTable("city.php", $res);
}
?>
</body>
</html>