<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>
<?php
include("includes.php");
$conn = GetDbConnection();
$id = GetId();
if ($id < 0)
{
	echo "Alle Provinzen";
}
else 
{
	$sql = "SELECT province.Name, country.id, country.Name, city.id, city.Name, province.Population, province.Area FROM province ".
			"JOIN country ON country.id = province.country LEFT JOIN city ON city.id = province.capital ".
			"WHERE province.id = $id";
	$row = Query($sql, $conn, 1, true);
	echo "Provinz $row[0]";
}
?>
</title>
</head>
<body>
<p><a href="index.php">Zur Übersicht</a></p>
<?php
if ($id < 0)
{
	echo "<h1>Alle Provinzen</h1>";
	$sql = "SELECT id, Name FROM province ORDER BY Name";
	$res = Query($sql, $conn, 5);
	MakeHyperlinkTable("province.php", $res);
} 
else
{
?>
<h1>Provinz <?php echo $row[0]; ?></h1>
<table>
<?php 
	echo "<tr><td>Land:</td><td>";
	echo MakeHyperlink("country.php", $row[1], $row[2]);
	echo "</td></tr>";
	echo "<tr><td>Hauptstadt:</td><td>";
	if (is_null($row[3]))
		echo "<i>Unbekannt</i>";
	else
		echo MakeHyperlink("city.php", $row[3], $row[4]);
	echo "<tr><td>Einwohnerzahl:</td><td>$row[5]</td></tr>";
	echo "<tr><td>Fläche:</td><td>";
	if (is_null($row[6]))
		echo "<i>Unbekannt</i>";
	else 
		echo "$row[6] km²";
	echo "</td></tr></table>";
	
	echo "<h2>Städte der Provinz</h2>";
	$sql = "SELECT id, Name FROM city WHERE province = $id ORDER BY Name";
	$res = Query($sql, $conn, 9);
	MakeHyperlinkTable("city.php", $res);
		
	echo "<h2>Inseln der Provinz</h2>";
	$sql = "SELECT id, Name FROM island WHERE id IN (SELECT island FROM geo_island WHERE province = $id) ORDER BY Name";
	$res = Query($sql, $conn, 2); 
	MakeHyperlinkTable("island.php", $res);
	
	echo "<h2>Meere der Provinz</h2>";
	$sql = "SELECT id, Name FROM sea WHERE id IN (SELECT sea FROM geo_sea WHERE province = $id) ORDER BY Name";
	$res = Query($sql, $conn, 3);
	MakeHyperlinkTable("sea.php", $res);
	
	echo "<h2>Seen der Provinz</h2>";
	$sql = "SELECT id, Name FROM lake WHERE id IN (SELECT lake FROM geo_lake WHERE province = $id) ORDER BY Name";
	$res = Query($sql, $conn, 4);
	MakeHyperlinkTable("lake.php", $res);
	
	echo "<h2>Flüsse der Provinz</h2>";
	$sql = "SELECT id, Name, id IN (SELECT river FROM geo_source WHERE province = $id), id IN (SELECT river FROM geo_estuary WHERE province = $id) ".
			"FROM river WHERE id IN (SELECT river FROM geo_river WHERE province = $id)";
	$res = Query($sql, $conn, 5);
	MakeHyperlinkTable("river.php", $res, "makeRiverItem");

	echo "<h2>Berge der Provinz</h2>";
	$sql = "SELECT id, Name FROM mountain WHERE id IN (SELECT mountain FROM geo_mountain WHERE province = $id) ORDER BY Name";
	$res = Query($sql, $conn, 6);
	MakeHyperlinkTable("mountain.php", $res);
	
	echo "<h2>Wüsten der Provinz</h2>";
	$sql = "SELECT id, Name FROM desert WHERE id IN (SELECT desert FROM geo_desert WHERE province = $id) ORDER BY Name";
	$res = Query($sql, $conn, 7);
	MakeHyperlinkTable("desert.php", $res);
	
}	
function makeRiverItem($data)
{
	$res = $data[1];
	if ($data[2] || $data[3])
		$res .= " (";
	if ($data[2])
		$res .= "Quelle";
	if ($data[2] && $data[3])
		$res .= ", ";
	if ($data[3])
		$res .= "Mündung";
	if ($data[2] || $data[3])
		$res .= ")";
	return $res;
}
?>
</body>
</html>