<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>
<?php
include("includes.php");
$conn = GetDbConnection();
$id = GetId();
if ($id < 0)
{
	echo "Alle Städte";
}
else
{
	$sql = "SELECT city.name, city.population, city.longitude, city.latitude, ".
			"province.id, province.Name, province.capital = city.id, country.id, ".
			"country.Name, country.capital = city.id, island.id, island.Name ".
			"FROM city JOIN province ON province.id = city.province ".
			"JOIN country ON country.id = province.Country ".
			"LEFT JOIN island ON island.id = city.island WHERE city.id = $id";
	$row = Query($sql, $conn, 1, true);
	echo "Stadt $row[0]";
}
?>
</title></head>
<body>
<p><a href="index.php">Zur Übersicht</a></p>
<?php 
if ($id < 0)
{
	echo "<h1>Alle Städte</h1>";
	$sql = "SELECT city.id, city.Name, city.province, province.Name, province.Country, country.Name ".
			"FROM city JOIN province ON city.province = province.id JOIN country ON country.id = province.Country ".
			"ORDER BY city.Name, province.Name, country.Name";
	echo "<table border=\"1\"><tr><th>Stadt</th><th>Provinz</th><th>Land</th></tr>";
	$res = Query($sql, $conn, 6);
	while($row = mysql_fetch_row($res))
	{
		echo "<tr><td><a href=\"city.php?id=$row[0]\">$row[1]</a></td>";
		echo "<td><a href=\"province.php?id=$row[2]\">$row[3]</a></td>";
		echo "<td><a href=\"country.php?id=$row[4]\">$row[5]</a></td></tr>";
	}
	echo "</table>";
}
else
{
?>
	<h1><?php echo $row[0]; ?></h1>
	<p>Stadt in Land <?php 
	echo "<a href=\"country.php?id=$row[7]\">$row[8]</a>";
	if ($row[9])
		echo " (Hauptstadt)";
	?></p>
	<p>Stadt in Provinz <?php 
	echo "<a href=\"province.php?id=$row[4]\">$row[5]</a>";
	if ($row[6])
		echo " (Hauptstadt)";
	?>
	</p>
	<?php 
	if (!is_null($row[10]))
	{
		echo "<p>Liegt auf Insel <a href=\"island.php?id=$row[10]\">$row[11]</a></p>";
	}
	?>
	<table>
	<tr><td>Einwohner:</td><td><?php echo $row[1];?></td></tr>
	<tr><td>Längengrad:</td><td><?php echo $row[2]; ?></td></tr>
	<tr><td>Breitengrad:</td><td><?php echo $row[3]; ?></td></tr>
	</table>
	<h2>Sitz der folgenden Organisationen:</h2>
	<?php 
	$res = Query("SELECT Abbreviation, Name FROM organization WHERE city = $id", $conn, 2);
	MakeHyperlinkTable("organization.php", $res);
	?>
	<h2>Flüsse, an denen die Stadt liegt</h2>
	<?php 
	$sql = "SELECT id, name FROM river WHERE id IN ".
			"(SELECT river FROM located WHERE city = $id) ORDER BY name";
	$res = Query($sql, $conn, 3);
	MakeHyperlinkTable("river.php", $res);
	?>
	<h2>Seen, an denen die Stadt liegt</h2>
	<?php 
	$sql = "SELECT id, name FROM lake WHERE id IN ".
			"(SELECT lake FROM located WHERE city = $id) ORDER BY name";
	$res = Query($sql, $conn, 4);
	MakeHyperlinkTable("lake.php", $res);
	?>
	<h2>Meere, an denen die Stadt liegt</h2>
	<?php 
	$sql = "SELECT id, name FROM sea WHERE id IN ".
			"(SELECT sea FROM located WHERE city = $id) ORDER BY name";
	$res = Query($sql, $conn, 5);
	MakeHyperlinkTable("sea.php", $res);
}
?>
</body>
</html>