<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>
<?php
include("includes.php");
$conn = GetDbConnection();
$id = GetId();
if ($id < 0)
{
	echo "Alle Flüsse";
}
else 
{
	$sql = "SELECT r1.name, r1.length, r1.sourcelongitude, r1.sourcelatitude, r1.sourcealtitude, r1.estuarylongitude, r1.estuarylatitude, ".
			"r2.id, r2.name, lake.id, lake.Name, sea.id, sea.Name, mountains.id, mountains.name, l2.id, l2.name FROM river r1 ".
			"LEFT JOIN river r2 ON r1.river = r2.id LEFT JOIN lake ON r1.lake = lake.id LEFT JOIN sea ON r1.sea = sea.id ".
			"LEFT JOIN mountains ON r1.mountains = mountains.id LEFT JOIN lake l2 ON l2.river = r1.id WHERE r1.id = $id";
	$row = Query($sql, $conn, 1, true);
	echo "Fluss $row[0]";
}
?>
</title>
</head>
<body>
<p><a href="index.php">Zur Übersicht</a></p>
<?php
if ($id < 0)
{
	echo "<h1>Alle Flüsse</h1>";
	$sql = "SELECT id, Name FROM river ORDER BY Name";
	$res = Query($sql, $conn, 5);
	MakeHyperlinkTable("river.php", $res);
} 
else
{
?>
<h1>Fluss <?php echo $row[0]; ?></h1>
<?php 
if (!is_null($row[13]))
	echo "<p>Entspringt im Gebirge ".MakeHyperlink("mountains.php", $row[13], $row[14])."</p>";
if (!is_null($row[11]))
	echo "<p>Fliesst in das Meer ".MakeHyperlink("sea.php", $row[11], $row[12])."</p>";
if (!is_null($row[9]))
	echo "<p>Fliesst in den See ".MakeHyperlink("lake.php", $row[9], $row[10])."</p>";
if (!is_null($row[7]))
	echo "<p>Fliesst in den Fluss ".MakeHyperlink("river.php", $row[7], $row[8])."</p>";
if (!is_null($row[15]))
	echo "<p>Abfluss des Sees ".MakeHyperlink("lake.php", $row[15], $row[16])."</p>";
echo "<table>";
if (!is_null($row[1]))
	echo "<tr><td>Länge:</td><td>$row[1] km</td></tr>";
if (!is_null($row[2]))
{
	echo "<tr><td>Längengrad der Quelle:</td><td>$row[2]</td></tr>";
	echo "<tr><td>Breitengrad der Quelle:</td><td>$row[3]</td></tr>";
}
if (!is_null($row[4]))
	echo "<tr><td>Höhe der Quelle:</td><td>$row[4] m</td></tr>";
if (!is_null($row[5]))
{
	echo "<tr><td>Längengrad der Mündung:</td><td>$row[5]</td></tr>";
	echo "<tr><td>Breitengrad der Mündung:</td><td>$row[6]</td></tr>";
}
echo "</table>";

echo "<h2>Zuflüsse</h2>";
$sql = "SELECT id, name FROM river WHERE river = $id ORDER BY name";
$res = Query($sql, $conn, 2);
MakeHyperlinkTable("river.php", $res);

echo "<h2>Provinzen der Quelle</h2>";
$sql = "SELECT id, name FROM province WHERE id IN (SELECT province FROM geo_source WHERE river = $id) ORDER BY name";
$res = Query($sql, $conn, 3);
MakeHyperlinkTable("province.php", $res);

echo "<h2>Durchflossene Provinzen</h2>";
$sql = "SELECT id, name FROM province WHERE id IN (SELECT province FROM geo_river WHERE river = $id) ORDER BY name";
$res = Query($sql, $conn, 4);
MakeHyperlinkTable("province.php", $res);

echo "<h2>Provinzen der Mündung</h2>";
$sql = "SELECT id, name FROM province WHERE id IN (SELECT province FROM geo_estuary WHERE river = $id) ORDER BY name";
$res = Query($sql, $conn, 5);
MakeHyperlinkTable("province.php", $res);

echo "<h2>Städte am Fluss</h2>";
$sql = "SELECT id, name FROM city WHERE id IN (SELECT city FROM located WHERE river = $id) ORDER BY name";
$res = Query($sql, $conn, 6);
MakeHyperlinkTable("city.php", $res);

}
?>
</body>
</html>