<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>
<?php
include("includes.php");
$conn = GetDbConnection();
$id = GetId();
if ($id < 0)
{
	echo "Alle Meere";
}
else 
{
	$sql = "SELECT name, depth FROM sea WHERE id = $id";
	$row = Query($sql, $conn, 1, true);
	echo "Meer $row[0]";
}
?>
</title>
</head>
<body>
<p><a href="index.php">Zur Übersicht</a></p>
<?php
if ($id < 0)
{
	echo "<h1>Alle Meere</h1>";
	$sql = "SELECT id, Name FROM sea ORDER BY Name";
	$res = Query($sql, $conn, 2);
	MakeHyperlinkTable("sea.php", $res);
} 
else
{
	echo "<h1>Meer $row[0]</h1>";
	echo "<p>Maximale Tiefe: $row[1] m</p>";
	
	echo "<h2>Angrenzende Meere</h2>";
	$sql = "SELECT id, name FROM ".
			"(SELECT sea2 AS x FROM mergeswith WHERE sea1 = $id UNION SELECT sea1 AS x FROM mergeswith WHERE sea2 = $id) AS id ".
			"JOIN sea ON sea.id = id.x ORDER BY Name";
	$res = Query($sql, $conn, 3);
	MakeHyperlinkTable("sea.php", $res);
	
	echo "<h2>Inseln im Meer</h2>";
	$sql = "SELECT id, Name FROM island WHERE id IN (SELECT island FROM islandinsea WHERE sea = $id) ORDER BY Name";
	$res = Query($sql, $conn, 4);
	MakeHyperlinkTable("island.php", $res);
	
	echo "<h2>Zuflüsse</h2>";
	$sql = "SELECT id, Name FROM river WHERE sea = $id ORDER BY Name";
	$res = Query($sql, $conn, 5);
	MakeHyperlinkTable("river.php", $res);
	
	echo "<h2>Angrenzende Provinzen</h2>";
	$sql = "SELECT province.id, province.Name, country.Name FROM province JOIN country ON country.id = province.country WHERE province.id IN (SELECT province FROM geo_sea WHERE sea = $id) ORDER BY province.Name, country.Name";
	$res = Query($sql, $conn, 6);
	MakeHyperlinkTable("province.php", $res, "makeProvinceName");
	
	echo "<h2>Angrenzende Städte</h2>";
	$sql = "SELECT city.id, city.Name, province.Name, country.Name ".
			"FROM city JOIN province ON province.id = city.province JOIN country ON province.country = country.id ".
			"WHERE city.id IN (SELECT city FROM located WHERE sea = $id) ORDER BY city.Name, province.Name, country.Name";
	$res = Query($sql, $conn, 6);
	MakeHyperlinkTable("city.php", $res, "makeCityName");
	
}
function makeProvinceName($data)
{
	return "$data[1], $data[2]";
}
function makeCityName($data)
{
	return "$data[1], $data[2] ($data[3])";
}
?>
</body>
</html>